Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

function NSGetModule(compMgr, fileSpec) {
  return XPCOMUtils.generateModule([AboutMultifox]);
}


function AboutMultifox() {}

AboutMultifox.prototype = {
  QueryInterface: XPCOMUtils.generateQI([Components.interfaces.nsIAboutModule]),
  classDescription: "about multifox",
  contractID: "@mozilla.org/network/protocol/about;1?what=multifox",
  classID: Components.ID("{347c41b6-1417-411c-b87a-422bcfc1899a}"),
  getURIFlags: function(aURI) {
    return Components.interfaces.nsIAboutModule.ALLOW_SCRIPT;
  },
  newChannel: function(aURI) {
    Components.utils.import("resource://multifox-modules/main.js");
    return getAboutUriChannel(aURI);
  }
};
